### Property

# Gio Settings:settings-schema

since: 2.0

#### Declaration

    property settings-schema: Gio.SettingsSchema [ read, write, construct-only ]

#### Description

The `GSettingsSchema` describing the types of keys for this `GSettings` object.

Ideally, this property would be called ‘schema’. `GSettingsSchema` has only existed since version 2.32, however, and before then the ‘schema’ property was used to refer to the ID of the schema rather than the schema itself. Take care.

Type: | `GSettingsSchema`
Available since: | 2.0

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes